<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @package dBlog
 */
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if (post_password_required()) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
	if (have_comments()) :
		?>
		<h3 class="comments-title">
			<?php
			$comments_number = get_comments_number();
			if ('1' === $comments_number) {
				_x( 'One Reply', 'comments title', 'dblog' );
			} else {
				printf(
						/* translators: 1: number of comments, 2: post title */
						_nx(
								'%1$s Reply', '%1$s Replies', $comments_number, 'comments title', 'dblog'
						), number_format_i18n( $comments_number )
				);
			}
			?>
		</h3>

		<ul class="comment-list">
			<?php
			wp_list_comments( array(
				'avatar_size' => 100
			) );
			?>
		</ul>

		<?php
		the_comments_pagination();

	endif; // Check for have_comments().
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if (!comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' )) :
		?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'dblog' ); ?></p>
		<?php
	endif;

	comment_form();
	?>

</div><!-- #comments -->
