<?php
/**
 * The template for displaying the header.
 *
 * @package dBlog
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width,initial-scale=1">
		<?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>

        <div class="wrap site">

			<a class="skip-link btn btn-default screen-reader-text" href="#main">
				<?php esc_html_e( 'Skip to content', 'dblog' ); ?>
			</a>

            <header id="masthead" class="site-header" role="banner">
				<?php the_custom_logo(); ?>

                <div class="site-desc-wrap">
                    <div class="site-name"><a href="/"><?php bloginfo( 'name' ); ?></a></div>
                    <div class="site-desc"><?php bloginfo( 'description' ); ?></div>
					<?php dblog_socials(); ?>
                </div><!-- .site-desc-wrap -->

				<?php if (has_nav_menu( 'top' )) : ?>

					<button id="site-navigation-toggle" class="menu-toggle" >
						<i class="fa fa-bars menu-toggle-icon" aria-hidden="true"></i>
						<span class="menu-toggle-text">
							<?php esc_html_e( 'Menu', 'dblog' ); ?>
						</span>
					</button><!-- #site-navigation-toggle -->

					<nav id="site-navigation" class="main-navigation" role="navigation">
						<?php
						wp_nav_menu( array(
							'theme_location' => 'top',
							'menu_id' => 'top-menu',
							'menu_class' => 'top-menu menu',
							'container' => false,
							'depth' => 1
						) );
						?>
					</nav><!-- #site-navigation -->

				<?php elseif (current_user_can( 'edit_theme_options' )) : ?>

					<p class="no-main-navigation">
						<span><?php esc_html_e( 'No menu assigned.', 'dblog' ); ?> </span>
						<a href="<?php echo esc_url( get_admin_url( null, '/customize.php?autofocus[panel]=nav_menus' ) ); ?>"><?php esc_html_e( 'Add now.', 'dblog' ); ?></a>
					</p><!-- .no-main-navigation -->

				<?php endif; ?>

			</header><!--#masthead -->