<?php

/**
 * Custom functions that act independently of the theme templates.
 *
 * @package dBlog
 */
if (!function_exists( 'dblog_gravataras_as_logo' )) :

// Override Custom logo if set Use Gravatar as logo
	function dblog_gravataras_as_logo( $html ) {
		$use_gravatar_as_logo = get_theme_mod( 'use_gravatar_as_logo', 0 );

		if ($use_gravatar_as_logo) {
			$url = esc_url( get_home_url() );
			$avatar = get_avatar( get_bloginfo( 'admin_email' ), 200, '', get_bloginfo( 'name' ) );
			return sprintf( '<a href="%1$s" class="custom-logo-link" rel="home" itemprop="url">%2$s</a>', $url, $avatar );
		}

		return $html;
	}

endif;

add_filter( 'get_custom_logo', 'dblog_gravataras_as_logo' );

function dblog_gallery_style( $output ) {
	return str_replace( 'gallery ', 'gallery popup-gallery ', $output );
}

add_filter( 'gallery_style', 'dblog_gallery_style' );
