<?php
/**
 * The template for displaying search results pages.
 *
 * @package dBlog
 */
get_header();
?>

<div class="content" id="main" role="main">

	<?php if (have_posts()) : ?>

		<header class="page-header">

			<h1 class="page-header-title">
				<?php
				printf(
						/* Translators: %s: search term. */
						esc_html__( 'Search Results for: %s', 'dblog' ), '<span>' . get_search_query() . '</span>'
				);
				?>
			</h1>

			<?php get_search_form(); ?>

		</header><!-- .page-header -->

		<?php while (have_posts()) : the_post(); ?>

			<?php get_template_part( 'template-parts/content', 'search' ); ?>

		<?php endwhile; ?>

		<?php
		the_posts_pagination();
		?>

	<?php else : ?>

		<?php get_template_part( 'template-parts/content', 'none' ); ?>

	<?php endif; ?>

</div><!-- #main -->

<?php
get_footer();
