<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * @package dBlog
 */
?>

<div class="not-found">

    <header class="page-header">

		<h1 class="item-header"><?php esc_html_e( 'Nothing Found', 'dblog' ); ?></h1>

    </header><!-- .item-header -->

    <div class="not-fount-content">

		<?php if (is_home() && current_user_can( 'publish_posts' )) : ?>

			<p><?php dblog_first_post_link(); ?></p>

		<?php elseif (is_search()) : ?>

			<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'dblog' ); ?></p>

			<?php get_search_form(); ?>

		<?php else : ?>

			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'dblog' ); ?></p>

			<?php get_search_form(); ?>

		<?php endif; ?>

    </div>

</div>